Bug 39943 - rpm --relocate seems broken
rpm --relocate seems broken
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
: 40084 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-09 16:20 EDT by Martin Lichtin
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-09 16:20:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Lichtin 2001-05-09 16:20:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
rpm --relocate doesn't seem to work. See the output of a try:

[root@trane /root]# rpm -i --relocate /opt/poet61=/tmp/poet61
http://192.168.1.1/rpms/POET61-JavaCollectionClasses-6.1.8.76-1.i386.rpm
Installing Java Collection Classes
error: can't unlink /tmppoet61-RPMDELETE: Is a directory

Note the missing slash in "tmppoet61". It doesn't install any files,
but puts the package into to the list of installed ones. Pretty weird.


How reproducible:
Always

Steps to Reproduce:
1. Try rpm --relocate with a relocatable package
2.
3.
	

Additional info:
Comment 1 Jeff Johnson 2001-05-09 16:27:36 EDT
Fixed in rpm-4.0.3-0.6, available at ftp://ftp.rpm.org/pub/rpm/test-4.0.3

Please note that everything newer than 4.0.3-0.6 is still under development,
and is a very different beast indeed.
Comment 2 Jeff Johnson 2001-05-10 10:56:40 EDT
*** Bug 40084 has been marked as a duplicate of this bug. ***
Comment 3 Todd Allen 2001-09-21 11:50:51 EDT
The ftp site mentioned, ftp://ftp.rpm.org/pub/rpm/test-4.0.3, no longer contains
rpm 4.0.3-0.6.  It now contains rpm 4.0.3-1.03, which appears to be that very
different beast you warned about.

Where can we find rpm 4.0.3-0.6?
Comment 4 Need Real Name 2001-10-19 10:35:35 EDT
Can anyone tell me where the fix rpm is ?  I am trying to load Informix 
software and get the same issue /products/informix errors as /productsinform.


Note You need to log in before you can comment on or make changes to this bug.